Bug 1115422 - Exported reports can contain bad number formatting in CSV ( when user locale != EN ?)
Summary: Exported reports can contain bad number formatting in CSV ( when user locale ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: REST
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR01
: JON 3.3.0
Assignee: Michael Burman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-02 10:39 UTC by Heiko W. Rupp
Modified: 2014-12-11 14:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:01:25 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot (32.51 KB, image/png)
2014-07-02 10:39 UTC, Heiko W. Rupp
no flags Details
exported report from ?locale=de (51.93 KB, text/csv)
2014-07-31 20:55 UTC, Mike Foley
no flags Details

Description Heiko W. Rupp 2014-07-02 10:39:50 UTC
Created attachment 914096 [details]
Screenshot

This is related to Bug 1113183

When you e.g. Run the suspect metric report it may look like the attachment.

When you export that it may contain non-regular CSV

Example: 
Resource,Ancestry,Metric,Band,Outlier,Out of Range Factor (%)
Read Stage,RHQ Storage Node(127.0.0.1) < snert,Completed Tasks,10239 0  10245 0,0 0,342883
RHQ Agent,snert,Avg Execution Time Commands Sent Successfully,2 0ms  5 0ms,0 0ms,31533

here the band of 2.0ms - 5.0ms gets turned into "2 0ms" and "5 0ms". Similar for the outlier "0.0 ms" that gets turned into "0 0ms"

Similar in the 1st line a band "10239.0 - 10245.0" gets turned into "10239 0" and "10245 0"

Comment 1 Michael Burman 2014-07-08 10:36:04 UTC
Based on discussion with Larry O'Leary, we ended up with keeping the current format as close as possible, only adding quotes if there's delimiters inside a value field and removing the stripping of commas.

Fixed in master 92850bf

Comment 3 Heiko W. Rupp 2014-07-31 15:25:40 UTC
Setting to modified as this is in release/jon3.3.x

Comment 4 Simeon Pinder 2014-07-31 15:52:13 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 5 Mike Foley 2014-07-31 20:55:03 UTC
verified.

attaching file exported from ?locale=de

Comment 6 Mike Foley 2014-07-31 20:55:54 UTC
Created attachment 923031 [details]
exported report from ?locale=de


Note You need to log in before you can comment on or make changes to this bug.